<template>
    <div  class="cesium-panel">
      <b-button v-if="!is3DView() && !onlycesium" variant="outline-dark" class="white"
        v-b-tooltip.bottom.hover
        style="background-color:#054693;color:white;border-radius:20px"
        title="3D" @click="onClick()">
        <b-icon icon="box"/>
      </b-button>
      <b-button v-if="is3DView() && !onlycesium" variant="outline-dark" class="white"
        v-b-tooltip.bottom.hover
        style="background-color:#054693;color:white;border-radius:20px"
        title="2D" @click="onClickOL()">
        <b-icon icon="square"/>
      </b-button>
    </div>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
import Component from 'vue-class-component';
import PluginComponent from '@/components/plugins/PluginComponent';

@Component({
  props: {
  },
  components: {
  },
})
export default class CesiumPlugin extends PluginComponent {
    static ID='CesiumPlugin';

    onlycesium = false;

    mounted():void {
      console.log('plugin mounted');

      this.onlycesium = this.plugin.getParameterValue('onlycesium');

      if (this.onlycesium && !this.is3DView()) {
        this.onClick();
      }
    }

    onClick():void {
      this.$router.push({ query: { '3d': 'true' }, append: true });
    }

    onClickOL():void {
      this.$router.push({ query: { '3d': 'false' }, append: true });
    }
}
</script>

<style scoped lang="less">
@import "../../styles/variables.less";
  .cesium-panel{
    margin-right:5px;
    pointer-events: auto;
  }
</style>
